Skip to main content
PATCH
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
replicaScaling
Update service auto scaling settings
curl --request PATCH \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/replicaScaling \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "minReplicaMemoryGb": 16,
  "maxReplicaMemoryGb": 120,
  "numReplicas": 3,
  "idleScaling": true,
  "idleTimeoutMinutes": 123
}
'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "provider": "aws",
    "region": "ap-northeast-1",
    "state": "starting",
    "clickhouseVersion": "<string>",
    "endpoints": [
      {
        "protocol": "mysql",
        "host": "<string>",
        "port": 123,
        "username": "<string>"
      }
    ],
    "tier": "development",
    "minTotalMemoryGb": 48,
    "maxTotalMemoryGb": 360,
    "minReplicaMemoryGb": 16,
    "maxReplicaMemoryGb": 120,
    "numReplicas": 3,
    "idleScaling": true,
    "idleTimeoutMinutes": 123,
    "ipAccessList": [
      {
        "source": "<string>",
        "description": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "encryptionKey": "<string>",
    "encryptionAssumedRoleIdentifier": "<string>",
    "iamRole": "<string>",
    "privateEndpointIds": [
      "<string>"
    ],
    "availablePrivateEndpointIds": [
      "<string>"
    ],
    "dataWarehouseId": "<string>",
    "isPrimary": true,
    "isReadonly": true,
    "releaseChannel": "slow",
    "byocId": "<string>",
    "hasTransparentDataEncryption": true,
    "profile": "v1-default",
    "transparentDataEncryptionKeyId": "<string>",
    "encryptionRoleId": "<string>",
    "complianceType": "hipaa"
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service to update scaling parameters.

Body

application/json
minReplicaMemoryGb
number

Minimum auto-scaling memory in Gb for a single replica. Available only for 'production' services. Must be a multiple of 4 and greater than or equal to 8.

Required range: 8 <= x <= 356Must be a multiple of 4
Example:

16

maxReplicaMemoryGb
number

Maximum auto-scaling memory in Gb for a single replica . Available only for 'production' services. Must be a multiple of 4 and lower than or equal to 120 for non paid services or 356 for paid services.

Required range: 8 <= x <= 356Must be a multiple of 4
Example:

120

numReplicas
number

Number of replicas for the service. The number of replicas must be between 2 and 20 for the first service in a warehouse. Services that are created in an existing warehouse can have a number of replicas as low as 1. Further restrictions may apply based on your organization's tier. It defaults to 1 for the BASIC tier and 3 for the SCALE and ENTERPRISE tiers.

Required range: 1 <= x <= 20
Example:

3

idleScaling
boolean

When set to true the service is allowed to scale down to zero when idle. True by default.

idleTimeoutMinutes
number

Set minimum idling timeout (in minutes). Must be >= 5 minutes.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object